Modify

Opened 11 years ago

Closed 10 years ago

Last modified 4 years ago

#12 closed defect (fixed)

Error Getting WikiFormatting and TracLinks pages: Trac[main] WARNING: 500 Internal Error (Multiple revisions found for '1')

Reported by: claudesebjean@… Owned by: Thomas Moschny
Priority: major Component: tracmtn
Version: Keywords:
Cc:

Description (last modified by Thomas Moschny)

When getting wiki pages WikiFormatting or TracLinks, an error apears on screen and I can't get the page. It happens every time

It used to work but stopped working when I installed TracMonotone.

If I disable TracMonotone or if I enable TracMonotone but I comment in trac.ini file:

[trac]
#repository_dir = ...
#repository_type = mtn

As far as I can tell, there is only 1 version of this page in the DB:

select name, version from wiki where name in ( 'WikiFormatting', 'TracLinks');
name|version
TracLinks|1
WikiFormatting|1

Error log:

...
2008-10-11 21:33:53,577 Trac[main] WARNING: 500 Internal Error (Multiple revisions found for '1')
2008-10-11 21:44:01,345 Trac[main] WARNING: 500 Internal Error (Multiple revisions found for '1')
2008-10-12 09:44:26,738 Trac[main] WARNING: 500 Internal Error (Multiple revisions found for '1')
2008-10-12 09:44:36,590 Trac[main] WARNING: 500 Internal Error (Multiple revisions found for '1')
...

I am using:

Trac 0.10.5 on gentoo Python 2.4.4 (#1, Jun 22 2008, 13:00:32) sqlite-3.5.6, TracMonotone 0.0.14

See: Original Trac ticket

Attachments (0)

Change History (3)

comment:1 Changed 11 years ago by Thomas Moschny

Description: modified (diff)

If possible, please upgrade to Trac 0.11.

comment:2 Changed 11 years ago by claudesebjean@…

I just upgraded to trac 0.11 and everything works now!!!

Cheers!

comment:3 Changed 10 years ago by Thomas Moschny

Resolution: fixed
Status: newclosed

Modify Ticket

Change Properties
Set your email in Preferences
Action
as closed The owner will remain Thomas Moschny.
The resolution will be deleted. Next status will be 'reopened'.

Add Comment


E-mail address and name can be saved in the Preferences.

 
Note: See TracTickets for help on using tickets.